// InputController_ADLINK_ECAT.h: interface for the CInputController_7856 class.
//
//////////////////////////////////////////////////////////////////////
#pragma once

#include "InputControllerBase.h"

class CInputController_ADLINK_ECAT : public CInputControllerBase
{
public:
    CInputController_ADLINK_ECAT();
    virtual ~CInputController_ADLINK_ECAT();

    // method to initialise the input controller card
    int InitCard(int nTypeID, int nTypeCardNo, int& nPhysicalCardID) override;

    // method to close the input controller card
    int CloseCard(int nPhysicalCardID) override;
};
